Package org.h2.test.poweroff

# Class TestRecover

java.lang.Object
org.h2.test.poweroff.TestRecover

public class TestRecover extends Object
This standalone test checks if recovery of a database works after power failure.

## Constructor Summary

Constructors
Constructor
Description
`TestRecover()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
This method is called when executing this application from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestRecover

public TestRecover()

## Method Details

### main

public static void main(String... args) throws Exception
This method is called when executing this application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `Exception`